<?php
/**
 * @file
 * erpal_basic_ui.ds.inc
 */

/**
 * Implements hook_ds_custom_fields_info().
 */
function erpal_basic_ui_ds_custom_fields_info() {
  $export = array();

  $ds_field = new stdClass();
  $ds_field->api_version = 1;
  $ds_field->field = 'comment_count';
  $ds_field->label = 'comment_count';
  $ds_field->field_type = 7;
  $ds_field->entities = array(
    'node' => 'node',
  );
  $ds_field->properties = array(
    'default' => array(),
    'settings' => array(
      'show_title' => array(
        'type' => 'checkbox',
      ),
      'title_wrapper' => array(
        'type' => 'textfield',
        'description' => 'Eg: h1, h2, p',
      ),
      'ctools' => array(
        'type' => 'ctools',
      ),
    ),
  );
  $export['comment_count'] = $ds_field;

  return $export;
}

/**
 * Implements hook_ds_layout_settings_info().
 */
function erpal_basic_ui_ds_layout_settings_info() {
  $export = array();

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'node|erpal_contact|form';
  $ds_layout->entity_type = 'node';
  $ds_layout->bundle = 'erpal_contact';
  $ds_layout->view_mode = 'form';
  $ds_layout->layout = 'erpal_forms';
  $ds_layout->settings = array(
    'hide_empty_regions' => 1,
    'hide_sidebars' => FALSE,
    'regions' => array(
      'left' => array(
        0 => 'group_basics',
        1 => 'group_relations',
        2 => 'field_contact_relations',
        3 => 'group_communication',
        4 => 'field_communication',
        5 => 'group_addresses',
        6 => 'group_banking',
        7 => 'field_addresses',
        8 => 'group_notes',
        9 => 'field_bank_accounts',
        10 => 'body',
        11 => 'group_files',
        12 => 'field_asset_files',
        13 => 'field_legal_other',
        14 => 'field_contact_type',
        15 => 'field_company_name',
        16 => 'field_salutation',
        17 => 'field_gender',
        18 => 'field_firstname',
        19 => 'field_lastname',
        20 => 'field_activity_origin',
        21 => 'field_target_audience',
        22 => 'field_contact_tags',
        23 => 'field_birthday',
        24 => 'field_languages',
        25 => 'field_vat_number',
        26 => 'field_customer_category',
        27 => '_add_existing_field',
      ),
      'hidden' => array(
        0 => 'group_legal',
        1 => 'title',
        2 => 'path',
      ),
      'right' => array(
        0 => 'field_contact_image',
      ),
    ),
    'fields' => array(
      'group_basics' => 'left',
      'group_relations' => 'left',
      'field_contact_relations' => 'left',
      'group_communication' => 'left',
      'field_communication' => 'left',
      'group_addresses' => 'left',
      'group_banking' => 'left',
      'field_addresses' => 'left',
      'group_notes' => 'left',
      'field_bank_accounts' => 'left',
      'body' => 'left',
      'group_files' => 'left',
      'field_asset_files' => 'left',
      'field_legal_other' => 'left',
      'field_contact_type' => 'left',
      'field_company_name' => 'left',
      'field_salutation' => 'left',
      'field_gender' => 'left',
      'group_legal' => 'hidden',
      'field_firstname' => 'left',
      'title' => 'hidden',
      'field_lastname' => 'left',
      'path' => 'hidden',
      'field_activity_origin' => 'left',
      'field_target_audience' => 'left',
      'field_contact_tags' => 'left',
      'field_birthday' => 'left',
      'field_languages' => 'left',
      'field_vat_number' => 'left',
      'field_contact_image' => 'right',
      'field_customer_category' => 'left',
      '_add_existing_field' => 'left',
    ),
    'classes' => array(),
  );
  $export['node|erpal_contact|form'] = $ds_layout;

  return $export;
}

/**
 * Implements hook_ds_view_modes_info().
 */
function erpal_basic_ui_ds_view_modes_info() {
  $export = array();

  $ds_view_mode = new stdClass();
  $ds_view_mode->api_version = 1;
  $ds_view_mode->view_mode = 'in_pane';
  $ds_view_mode->label = 'in-pane';
  $ds_view_mode->entities = array(
    'field_collection_item' => 'field_collection_item',
    'taxonomy_term' => 'taxonomy_term',
  );
  $export['in_pane'] = $ds_view_mode;

  $ds_view_mode = new stdClass();
  $ds_view_mode->api_version = 1;
  $ds_view_mode->view_mode = 'minimal';
  $ds_view_mode->label = 'minimal';
  $ds_view_mode->entities = array(
    'node' => 'node',
    'taxonomy_term' => 'taxonomy_term',
  );
  $export['minimal'] = $ds_view_mode;

  $ds_view_mode = new stdClass();
  $ds_view_mode->api_version = 1;
  $ds_view_mode->view_mode = 'visual';
  $ds_view_mode->label = 'visual';
  $ds_view_mode->entities = array(
    'taxonomy_term' => 'taxonomy_term',
  );
  $export['visual'] = $ds_view_mode;

  return $export;
}
